List available voices

This endpoint returns the available voices from a specific provider (ElevenLabs) for use with agents.

GET /Agent/voice

This endpoint returns the available voices from a specific provider (ElevenLabs) for use with agents.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
providerqueryVoiceProviderNo0 = RetellAI; 1 = ElevenLabs—

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/Agent/voice?provider={provider}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Successfully returned voicesapplication/json · array<VoiceDto>

Example response (200):

[
  {
    "voiceId": "string",
    "voiceName": "string",
    "provider": "string",
    "accent": "string",
    "gender": "string",
    "age": "string",
    "previewAudioUrl": "string",
    "category": "string",
    "language": "string",
    "description": "string"
  }
]

Data models

VoiceDto
PropertyTypeRequiredDescriptionConstraints
voiceIdstringNo—nullable
voiceNamestringNo—nullable
providerstringNo—nullable
accentstringNo—nullable
genderstringNo—nullable
agestringNo—nullable
previewAudioUrlstringNo—nullable
categorystringNo—nullable
languagestringNo—nullable
descriptionstringNo—nullable
VoiceProvider

0 = RetellAI; 1 = ElevenLabs

integer